<mat-tab-group>
  <mat-tab label="upload">
    <div class="container">
      <mat-label>choose a video to upload :</mat-label> <br />

      <div class="button_container">
        <button
          class="button"
          mat-stroked-button
          color="warn"
          (click)="fileInput.click()"
        >
          <span>Select</span>
          <input
            #fileInput
            type="file"
            (change)="onChange($event)"
            name="avatar"
            accept="video/*"
            style="display: none"
          />
        </button>
      </div>

      <div class="button_container">
        <button
          mat-stroked-button
          class="button"
          color="warn"
          (click)="upload()"
        >
          <span>upload</span>
        </button>
      </div>
    </div>
  </mat-tab>
  <mat-tab label="My video">
    <div style="display: flex; flex-direction: row; flex-wrap: wrap; order: 2">
      <div *ngFor="let video of listofvideos">
        <mat-card class="card">
          <mat-card-title>
            {{ video.name }}
          </mat-card-title>
          <img
            mat-card-image
            src="assets/download.png"
            width="10px"
            height="200px"
          />
          <mat-card-footer>
            {{ video.fullPath }}
          </mat-card-footer>
        </mat-card>
      </div>
    </div>
    <!--  <iframe class="video" [src]="video"></iframe> -->
    <!--  <mat-video class="video" [src]="video"></mat-video> -->
  </mat-tab>
</mat-tab-group>
